# Method: userProfiles.get

- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles/get#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles/get#body.response_body)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles/get#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles/get#try-it)

Gets one user profile by ID.

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` The user profile ID. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/userProfiles#UserProfile`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/dfareporting`
- `
  https://www.googleapis.com/auth/dfatrafficking`
- `
  https://www.googleapis.com/auth/ddmconversions`